#include <string>
#include <iostream>
#include "conjclasses.h"
#include "rtree.h"

int main(int argc, char *argv[]) {
  assert(argc >= 2);
  int n = atoi(argv[1]);
  generate_all_rtrees(n-1, 2);
  vector<rtree>& treelist = all_rtrees[n-1]; 
  for (vector<rtree>::iterator i = treelist.begin();
       i != treelist.end(); ++i) {
#if 1
    cout << " & \\begin{parsetree} ";
    i->print_parsetree(cout);
    cout << "\\end{parsetree} \\quad \\quad \\\\ \\hline" << endl;
#endif
#if 0
    cout << ": " << gens_to_cycle(class_rep(*i)) 
	 << " [size=" << class_size(*i) << "]" << endl;
    cout << gens_to_cycle(class_rep(*i)) << ", ";
#endif
  }
  cout << endl;
  return 0;

}
